Error when trying to flash Android image build to NXP iMXMQ

cancel
Showing results for 
Search instead for 
Did you mean: 

Error when trying to flash Android image build to NXP iMXMQ

Jump to solution
213 Views
jakem
Contributor II

Hi,

This is my first time building and flashing an Android image into an NXP board. The building process was successful. However, I ran into an issue while trying to flash the newly built image into the board. The android image that I built was an Android 11 version. No customization was done.

I am using Ubuntu 18.06 for the building process and for flashing the image to the board.

I get an error when I try to run the following script:

sudo ./uuu_imx_android_flash.sh -f imx8mq -a -e

Error:

This script is validated with uuu 1.4.139 version, it is recommended to align with this version.
dtbo is supported
dual slot is supported
dynamic parttition is supported
vendor_boot parttition is supported
generate lines to flash u-boot-imx8mq.imx to the partition of bootloader0
generate lines to flash partition-table.img to the partition of gpt
generate lines to flash dtbo-imx8mq.img to the partition of dtbo_a
generate lines to flash boot.img to the partition of boot_a
generate lines to flash vendor_boot.img to the partition of vendor_boot_a
generate lines to flash vbmeta-imx8mq.img to the partition of vbmeta_a
generate lines to flash super.img to the partition of super
uuu script generated, start to invoke uuu with the generated uuu script
uuu (Universal Update Utility) for nxp imx chips -- libuuu_1.4.138-0-g051a8fe

Wait for Known USB Device Appear...
Error: fail open file: >/tmp/uuu.lst

I could see that the device has been configured correctly.

Connected Known USB Devices
	Path	 Chip	 Pro	 Vid	 Pid	 BcdVersion
	==================================================
	1:4	 MX8MQ	 SDP:	 0x1FC9	0x012B	 0x0001

 

Thanks.

0 Kudos
1 Solution
200 Views
jakem
Contributor II

I was able to resolve this. It was just an issue with the version of uuu that I was using. Was using a much newer one but the build needs a specific version to be able to work.

View solution in original post

0 Kudos
1 Reply
201 Views
jakem
Contributor II

I was able to resolve this. It was just an issue with the version of uuu that I was using. Was using a much newer one but the build needs a specific version to be able to work.

View solution in original post

0 Kudos